Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class ContentManager

    java.lang.Object
      org.gjt.sp.jedit.buffer.ContentManager

public class ContentManager
extends java.lang.Object

A class internal to jEdit's document model. You should not use it directly. To improve performance, none of the methods in this class check for out of bounds access, nor are they thread-safe. The `Buffer` class, through which these methods must be called through, implements such protection.

Since:
  jEdit 4.0pre1
Version:
  $Id: ContentManager.java,v 1.11 2003/03/09 19:26:05 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`ContentManager()`

Method Summary
`void` | `_setContent(char[] text, int length)`
`int` | `getLength()`
`java.lang.String` | `getText(int start, int len)`
`void` | `getText(int start, int len, javax.swing.text.Segment seg)`
`void` | `insert(int start, javax.swing.text.Segment seg)`
`void` | `insert(int start, java.lang.String str)`
`void` | `remove(int start, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentManager

    public ContentManager()

Method Detail

### getLength

    public final int getLength()

### getText

    public java.lang.String getText(int start,
                                    int len)

### getText

    public void getText(int start,
                        int len,
                        javax.swing.text.Segment seg)

### insert

    public void insert(int start,
                       java.lang.String str)

### insert

    public void insert(int start,
                       javax.swing.text.Segment seg)

### _setContent

    public void _setContent(char[] text,
                            int length)

### remove

    public void remove(int start,
                       int len)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD